# coding: utf-8


def slugfy(value):
    """
    To use:

    {{ var | slug }}
    """
    return value.lower().replace(' ', '-')


def upper_camel_case(value):
    """
    To use:

    {{ var | upper_camel_case }}
    """
    return value.replace('-', ' ').replace('_', ' ').title().replace(' ', '')


def lower_camel_case(value):
    """
    To use:

    {{ var | lower_camel_case }}
    """
    func = lambda s: s[:1].lower() + s[1:] if s else ''
    return func(value.replace('-', ' ').replace('_', ' ').title().strip()).replace(' ', '')

